Subject: Re: bug#37550: [core-updates] [PATCH] gnu: gcc: Fix i686-linux cross compiler.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sun, 29 Sep 2019 16:22:07 +0200

Marius Bakke writes:

> Jan Nieuwenhuizen <[email-masked]> writes:
>> I stumbled upon this while working to fix #37549.  Where should this
>> patch land?
>
> This patch should be safe for 'core-updates'.  Please double check that
> it does not rebuild the world, though.  :-)

I was hesitating and re-checked on a fresh computer.

> libmpx does not build natively either (see 01e8263febb) and has been
> removed from GCC entirely in version 9.

Ah, good to know.  I was worrying about just dropping it.

>> +                               "--disable-libmpx" ; C compiler cannot create executables
>
> IMO the comment is unnecessary.  LGTM!
>

Removed, and pushed to core-updates as 43124a54744b64dcdbdd8f92d2a037bf8e0dd215

Thanks!
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com